Subject: Re: CI
From: Bryan Richter <[email-masked]>
To: Sam Derbyshire <[email-masked]>
Cc: Simon Peyton Jones <[email-masked]>, ghc-devs <[email-masked]>
Date: Sun, 19 Mar 2023 13:27:26 +0200

I'm back at my computer and am investigating. I don't see the problem I
feared, but I do see some anomalies. I'll update once it's back to normal.

On Sat, 18 Mar 2023 at 17:55, Bryan Richter <[email-masked]>
wrote:

> I'm away from my computer for the day, but yes there were some jobs that
> got stuck in a restart loop. See
> https://gitlab.haskell.org/ghc/ghc/-/issues/23094#note_487426 .
> Unfortunately I don't know if there are others, but I did fix the root
> cause of that particular loop.
>
> On Sat, 18 Mar 2023, 15.06 Sam Derbyshire, <[email-masked]>
> wrote:
>
>> I think there's a problem with jobs restarting, on my renamer MR
>> <https://gitlab.haskell.org/ghc/ghc/-/merge_requests/8686> there were 5
>> full pipelines running at once. I had to cancel some of them, but also it
>> seems some got cancelled by some new CI pipelines restarting.
>>
>> On Sat, 18 Mar 2023 at 13:59, Simon Peyton Jones <
>> [email-masked]> wrote:
>>
>>> All GHC CI pipelines seem stalled, sadly
>>>
>>> e.g. https://gitlab.haskell.org/ghc/ghc/-/merge_requests/10123/pipelines
>>>
>>> Can someone unglue it?
>>>
>>> Thanks!
>>>
>>> Simon
>>> _______________________________________________
>>> ghc-devs mailing list
>>> [email-masked]
>>> http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
>>>
>>